XPRT_RESERVE_XPRT(9)

NAME
xprt_reserve_xprt - serialize write access to transports

SYNOPSIS

int xprt_reserve_xprt(struct rpc_xprt * xprt, struct rpc_task * task);

ARGUMENTS

xprt
    pointer to the target transport

task
    task that is requesting access to the transport

DESCRIPTION

This prevents mixing the payload of separate requests, and prevents transport connects from colliding with writes. No congestion control is provided.

COPYRIGHT